//Do-fil bachelor
use "/Users/PernilleJohansen/Downloads/data2901-Norway.dta"

//Deskriptiv statistikk:
histogram read, percent width(50)// histogram, målt i prosent på y-aksen og delt i bolkar på 50 på x-aksen
histogram income, percent // histogram, målt i prosent på y-aksen og kategoriene på x-aksen

mean read// får gjennomsnitt og standardavvik for read//

sum read// deskriptiv statistikk for read

//Lager dummyvariabel for fødselsmåned
gen fødselsmåned1_3=0 if birthm!=.
replace fødselsmåned1_3=1 if birthm<4
gen fødselsmåned4_6=0 if birthm!=.
replace fødselsmåned4_6=1 if birthm>3 & birthm<7
gen fødselsmåned7_9=0 if birthm!=.
replace fødselsmåned7_9=1 if birthm>6 & birthm<10
gen fødselsmåned10_12=0 if birthm!=.
replace fødselsmåned10_12=1 if 9<birthm


sum fødselsmåned1_3 fødselsmåned4_6 fødselsmåned7_9 fødselsmåned10_12// deskriptiv statistikk for fødselmånad
sum par_emp par_edu income// deskriptiv statistikk for sosioøkonomisk bakgrunn før omkoding
tab income//oversikt over inntekta hjå forledra
tab par_edu// oversikt over utdanningsnivå hjå foreldra
tab par emp// oversikt over tilsettingsstatusen hjå foreldra



// Hovedspørsmål 1:
recode birthm 1/3=1 4/6=2 7/9=3 10/12=4, gen (fødselsmåned) // kategoriserer fødselsmåneder til fødselskvartal
tab fødselsmåned


reg read fødselsmåned4_6 fødselsmåned7_9 fødselsmåned10_12 // regresjon modell 1
eststo: reg read fødselsmåned4_6 fødselsmåned7_9 fødselsmåned10_12
esttab using bachelor1.rtf, r2 se replace

// Utfører F-test 
reg read // modell med restriksjoner
di (21236461.8-20317467.4)/3
di (20317467.4/3399)
di 306331.47/5977.4838
di invFtail(3, 3399, .05) 
di Ftail(3, 3399, 51.247562)

table fødselsmåned, c(mean read sd read min read max read n read)// viser til gjennomsnitt, standardavvik, min, max og antall observasjoner for hvert fødselskvartal.


//Hovedspørsmål 2:
gen par_emp_low=0 if par_emp!=.
replace par_emp_low=1 if par_emp>2 // dummyvariabel for jobbstatus, der begge foreldrene jobber ikke/mindre enn 100% = 1, og 0 ellers

gen par_edu_high=0 if par_edu!=.
replace par_edu_high=1 if par_edu<2 // dummyvariabel for utdanningsnivå til foreldre der universitetsgrad = 1, og 0 hvis ikke

gen income_high=0 if income!=.
replace income_high=1 if income>3 // dummyvariabel for inntekt der $40000 eller mer = 1, og 0 hvis mindre

sum par_emp_low par_edu_high income_high// deskriptiv statistikk for sosioøkonomisk bakgrunn etter omkoding

//Modell 2
reg read fødselsmåned4_6 fødselsmåned7_9 fødselsmåned10_12 par_emp_low // regresjon modell 2
eststo: reg read fødselsmåned4_6 fødselsmåned7_9 fødselsmåned10_12 par_emp_low
esttab using bachelor2.rtf, r2 se replace // lager tabell

//Modell 3
reg read fødselsmåned4_6 fødselsmåned7_9 fødselsmåned10_12 par_emp_low par_edu_high // regresjon modell 3
eststo: reg read fødselsmåned4_6 fødselsmåned7_9 fødselsmåned10_12 par_emp_low par_edu_high
esttab using bachelor3.rtf, r2 se replace// lager tabell

//Modell 4
reg read fødselsmåned4_6 fødselsmåned7_9 fødselsmåned10_12 par_emp_low par_edu_high income_high // regresjon modell 4
eststo: reg read fødselsmåned4_6 fødselsmåned7_9 fødselsmåned10_12 par_emp_low par_edu_high income_high
esttab using bachelor4.rtf, r2 se replace // lager tabell

//Korrelasjonsmatrise
correlate read fødselsmåned1_3 fødselsmåned4_6 fødselsmåned7_9 fødselsmåned10_12 par_emp_low par_edu_high income_high


// Generer interaksjonsvariabler income_high*fødselsmåned
gen inchigh_1_3= income_high*fødselsmåned1_3
gen inchigh_4_6= income_high*fødselsmåned4_6
gen inchigh_7_9= income_high*fødselsmåned7_9
gen inchigh_10_12= income_high*fødselsmåned10_12

reg read fødselsmåned4_6 fødselsmåned7_9 fødselsmåned10_12 par_emp_low par_edu_high income_high inchigh_4_6 inchigh_7_9 inchigh_10_12 // regresjon modell 5 (interaksjon)
eststo: reg read fødselsmåned4_6 fødselsmåned7_9 fødselsmåned10_12 par_emp_low par_edu_high income_high inchigh_4_6 inchigh_7_9 inchigh_10_12
esttab using bachelor5.rtf, r2 se replace

//F-test
reg read fødselsmåned4_6 fødselsmåned7_9 fødselsmåned10_12 par_emp_low par_edu_high income_high 
di (16161817.2-16147208.2)/3
di (16147208.2/3045)
di 4869.6667/5302.8598
di invFtail(3, 3045, .05)


// Genererer interaksjonsvariabler par_emp_low*fødselsmåned
gen paremplow_1_3= fødselsmåned1_3*par_emp_low
gen paremplow_4_6= fødselsmåned4_6*par_emp_low
gen paremplow_7_9= fødselsmåned7_9*par_emp_low
gen paremplow_10_12= fødselsmåned10_12*par_emp_low

reg read fødselsmåned4_6 fødselsmåned7_9 fødselsmåned10_12 par_emp_low par_edu_high income_high paremplow_4_6 paremplow_7_9 paremplow_10_12 // regresjon modell 6 (interaksjon)
eststo: reg read fødselsmåned4_6 fødselsmåned7_9 fødselsmåned10_12 par_emp_low par_edu_high income_high paremplow_4_6 paremplow_7_9 paremplow_10_12
esttab using bachelor6.rtf, r2 se replace

//F-test
reg read fødselsmåned4_6 fødselsmåned7_9 fødselsmåned10_12 par_emp_low par_edu_high income_high
di (16161817.2-16159338.3)/3
di (16159338.3/3045)
di 826.3/5306.8434
di invFtail(3, 3045, .05)


//Genererer interaksjonsvariabel par_edu_high*fødselsmåned
gen pareduhigh_1_3= fødselsmåned1_3*par_edu_high
gen pareduhigh_4_6= fødselsmåned4_6*par_edu_high
gen pareduhigh_7_9= fødselsmåned7_9*par_edu_high
gen pareduhigh_10_12= fødselsmåned10_12*par_edu_high

reg read fødselsmåned4_6 fødselsmåned7_9 fødselsmåned10_12 par_emp_low par_edu_high income_high pareduhigh_4_6 pareduhigh_7_9 pareduhigh_10_12// regresjon modell 7 (interaksjon)
eststo: reg read fødselsmåned4_6 fødselsmåned7_9 fødselsmåned10_12 par_emp_low par_edu_high income_high pareduhigh_4_6 pareduhigh_7_9 pareduhigh_10_12
esttab using bachelor7.rtf, r2 se replace

//F-test
reg read fødselsmåned4_6 fødselsmåned7_9 fødselsmåned10_12 par_emp_low par_edu_high income_high
di (16161817.2-16130322.6)/3
di (16130322.6/3045)
di 10498.2/5297.3145
di invFtail(3, 3045, .05)





